<?php
if(!defined("ABSPATH"))
	die(); // No direct access plx
	
$updateMessage = '';
	
if (isset($_POST['import_imwb_covertstorecontentcommissionjunction'])) {
   
   $importSettings = $_POST['imwb_covertstorecontent_pro_import'];

   if($importSettings['taggen'] == 'S')
      $tags_input = null;
   else {
      $tags_input = explode(',', $importSettings['mantags']);
   }
   
   if($importSettings['socshare'] != 'Y')
      $socshare = null;   
      
   $result = $this->do_posts($importSettings['feednum'], $importSettings['keyword'], $importSettings['numposts'], @implode(',',$importSettings['categories']),$importSettings['catselecttype'], $tags_input, $importSettings['posttype'], $socshare);

   if(is_array($result))
      $updateMessage = '<div class="imwb_cabar_active_panel error"><p><strong>The Follwoing Error Occured:</strong> '.$result["error"]["reason"].' - '.$result["error"]["message"].'</p></div>';
   else   
      $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>'.$result.' New Posts Have Been Imported</strong></p></div>'; 
}
else if (isset($_POST['update_imwb_covertstorecontentcommissionjunctionSettings'])) { 

  $update = Array();
    
  foreach ($_REQUEST['imwb_covertstorecontent_pro_commissionjunction_options'] as $key => $value) {
      if($key == "categories")
          $update[$key] = implode(',', $value);
      else
		    $update[$key] = trim($value);
	}
	   
	update_option($this->plugin_name."-".$this->module_name."-".$_REQUEST['commissionjunctionfeednum']."-AdminOptions", $update);
	$this->options = $update;

   $updateMessage = '<div class="imwb_cabar_active_panel"><p><strong>Settings Updated </strong></p></div>';
} 

?>	
<div class="wrap">
<div id="imwb_plugin_header">
<a href="http://imwealthbuilders.com" target="_blank"><img src="<?php echo $this->plugin_url. '/pages/images/imwblogo.png';?>"></a>
<span id="imwb_plugin_header_link"><a href="http://imwealthbuilders.com/newplugins" target="blank">Click Here To See Our Latest WP Plugins</a></span>
<h2>Covert Store Content</h2>
<div style="clear: both"></div>
</div>
<?php echo $updateMessage;?>
<div id="imwb_plugin_options_editor">
<div class="icon32" id="icon-link-manager"><br></div><h2>Commission Junction Settings - <small><a href="http://covertcontent.com/store/help/std_help.html#commissionjunction" target="_blank">Click Here For Help</a></small></h2>

<?php require_once('import_options.php') ?>
<table class="widefat">
 <thead>
  <tr>
   <th scope="col">Name</th>
   <th scope="col">Keyword</th>
   <th scope="col">Search Settings</th>
   <th scope="col">Social Sharing</th>
   <th scope="col">Auto Blogging Status</th>
   <th scope="col"></th>
  </tr>
</thead>
<tbody style="display: table-row-group;">
   
<?php 
$nextfreenum = 1;
$totalFeeds = 0;
for($feednum = 1; $feednum <= $this->num_feed_urls; $feednum++) {
   $devOptions = get_option($this->plugin_name."-".$this->module_name."-".$feednum."-AdminOptions");

   if($devOptions !== false) {
      if($nextfreenum == $feednum) $nextfreenum++;
      $totalFeeds++;
?>
      <tr>
       <td><?php echo stripslashes($devOptions['feedname']);?></td>
       <td><?php echo stripslashes($devOptions['keyword']);?></td>
       <td>
<?php if(!empty($devOptions['minprice']) || !empty($devOptions['maxprice'])) {?>
         <b>Price Range - Min: </b><?php echo $devOptions['minprice'];?> <b>Max: </b><?php echo $devOptions['maxprice'];?><br>
<?php } ?>
<?php if(!empty($devOptions['advertiserids'])) {?>
         <b>Advertiser Ids: </b><?php echo $devOptions['advertiserids'];?>
<?php } ?>
       </td>
        <td>
 <?php if($devOptions['socshare'] == 'Y') {?>
          Active
 <?php } else { ?>
          Not Active
 <?php } ?>       
        </td>       
       <td>
<?php 
        if ($devOptions['active'] == 'Y') {
            echo "Active and Creating between 1 and ".$devOptions['postcount']." post every ".$devOptions['posthours']." hours";
            if ($devOptions['lastrun'] > 0) {
               echo "<br>Last Run ";
               echo date_i18n(get_option('date_format') ,$devOptions['lastrun']).' at ';
               echo date_i18n(get_option('time_format') ,$devOptions['lastrun']);
               echo " - Next Run ";
               echo date_i18n(get_option('date_format') ,$devOptions['lastrun']+($devOptions['posthours']*3600)).' at ';
               echo date_i18n(get_option('time_format') ,$devOptions['lastrun']+($devOptions['posthours']*3600));
            }
        }
        else 
           echo "Not Active";
?>       
       </td>
       <td><a class="ajxButton" href="#" data-action="edit" data-id="<?php echo $feednum;?>">Edit</a>&nbsp;&nbsp;&nbsp;<a class="ajxButton" href="#" data-action="del" data-id="<?php echo $feednum;?>">Delete</a></td>
      </tr>
<?php
      $errorMsg = get_option($this->plugin_name."-".$this->module_name."-errors");
      if($errorMsg != "")
         $errors .= '<p>'.$errorMsg.'</p>';
   }
}

if($totalFeeds == 0)
   echo "<tr><td colspan='4'>There are currently no Commission Junction search feeds</td></tr>";

?>
</tbody>
</table>
<br>
<?php if($totalFeeds < $this->num_feed_urls) { ?>
<a class="ajxButton" href="" data-action="add" data-id="<?php echo $nextfreenum; ?>">Add New Feed</a>
<?php } 

if($errors != '') {
   echo '<div class="imwb_cabar_active_panel errormsg"><p><strong>The following error(s) occured durring the last run</strong></p>';
   echo $errors;
   echo '</div>';
}
?>
<form id="commissionjunctionFeedForm" method="post" action="<?php echo $_SERVER["REQUEST_URI"]; ?>"  enctype="multipart/form-data">
<div id="ajxForm" style="padding-top: 35px;">

</div>
</form>


 </div>
 </div>
 