jQuery(document).ready(function($) {

   $('.ajxButton').click(function () {
   
      var feedCmd = $(this).attr('data-action');
      var feedNum = $(this).attr('data-id');
      var tdToDel = $(this).parents('tr');
      
      if(feedCmd == 'del') {
         if(!confirm("Are you sure you want to delete this Feed?"))
            return false;
      }
   
      var data = {
      	action: 'ebay_options_action',
      	dataType: 'html',
      	cmd: feedCmd,
      	num: feedNum
      };
   	
      $.post(ajaxurl, data, function(response) {
         $('#ajxForm').html(response);
         if(feedCmd == 'del') {
            tdToDel.remove();
            return;
         }
         
         document.getElementById('ajxForm').scrollIntoView();   
         $('input[name="imwb_covertstorecontent_pro_ebay_options[feedname]"]').focus();
      }, "html");
   
      return false;
   });
   
   $('#ebayFeedForm').submit(function() {
   
      if( !$('#imwb_covertstorecontent_pro_ebay_options_feedname').val() ) {
         alert("Please Enter a Name");
         $('#imwb_covertstorecontent_pro_ebay_options_feedname').focus();
         return false;
      }
      
      if($('#imwb_covertstorecontent_pro_ebay_options_keywords').val() == null) {
         alert("Please Select a Keyword");
         return false;
      }
               
      if($('#imwb_covertstorecontent_pro_ebay_options_catselecttype:checked').val() != 'M') {
      
         if($('#imwb_covertstorecontent_pro_ebay_options_categories').val() == null) {
            alert("Please Select a Category");
            return false;
         }
      }
   });
});
