jQuery(document).ready(function($) {
	// $() will work as an alias for jQuery() inside of this function
   
   $('.toggleSwitch').click(function(event) {
      elemId = $(this).attr('href');
      if($(this).html() == 'Show') 
         $(this).html('Hide');
      else
         $(this).html('Show');
      $(elemId).toggle();
      
      event.preventDefault();
   });
   
   $('input[name="imwb_covertstorecontent_pro_import[taggen]"]').change(function(){
      if($(this).val() == 'S'){
         $('#imwb_covertstorecontent_pro_import_mantags').addClass('hidden');
      }
      else {
         $('#imwb_covertstorecontent_pro_import_mantags').removeClass('hidden');
      }
      				
   });
   
   $('#importNowForm').submit(function() {
   
      if($('#imwb_covertstorecontent_pro_import_feednum').length > 0 && $('#imwb_covertstorecontent_pro_import_feednum').val() == null)
      {
         alert("Please Select a Feed To Use");
         return false;
      }

      if(!$('#imwb_covertstorecontent_pro_import_keyword').is(':disabled')){
         if($('#imwb_covertstorecontent_pro_import_keyword').val() == null) {
            alert("Please Select a Keyword");
            return false;
         }
      }
      
      if($('#imwb_covertstorecontent_pro_import_catselecttype:checked').val() == 'M')
         return true;
      
      if($('#imwb_covertstorecontent_pro_import_categories').val() == null) {
         alert("Please Select a Category");
         return false;
      }
        
     return true;
   });
   
   $('input[name="imwb_covertstorecontent_pro_import[ignorekw]"]').change(function(){
      if($(this).is(":checked")) {
         $('#imwb_covertstorecontent_pro_import_keyword').attr('disabled','disabled');
         $('#imwb_covertstorecontent_pro_import_kwsearch').attr('disabled','disabled');
         if($('#imwb_covertstorecontent_pro_import_catselecttype:checked').val() == 'M')
            $("input[name='imwb_covertstorecontent_pro_import[catselecttype]'][value='R']").attr("checked", true);
      }
      else {
         $('#imwb_covertstorecontent_pro_import_keyword').removeAttr('disabled');
         $('#imwb_covertstorecontent_pro_import_kwsearch').removeAttr('disabled');
      }
      				
   });
   
   $('#imwb_covertstorecontent_pro_import_catselecttype').change(function() {
      if($('#imwb_covertstorecontent_pro_import_catselecttype:checked').val() == 'M') {
         $('input[name="imwb_covertstorecontent_pro_import[ignorekw]"]').removeAttr('checked');
         $('#imwb_covertstorecontent_pro_import_kwsearch').removeAttr('disabled');
         $('#imwb_covertstorecontent_pro_import_keyword').removeAttr('disabled');
      }
   
   });
   
});

function imwb_covertstorecontent_pro_selectAll(selObj)
{
   for (i = 0; i < selObj.options.length; i ++)
   {
      selObj.options[i].selected = true;
   }
}

function imwb_covertstorecontent_pro_unselectAll(selObj)
{
   for (i = 0; i < selObj.options.length; i ++)
   {
      selObj.options[i].selected = false;
   }
}