jQuery(document).ready(function($) {

   $('.ajxButton').click(function () {
   
      var feedCmd = $(this).attr('data-action');
      var feedNum = $(this).attr('data-id');
      var tdToDel = $(this).parents('tr');
      
      if(feedCmd == 'del') {
         if(!confirm("Are you sure you want to delete this Feed?"))
            return false;
      }
   
      var data = {
      	action: 'rss_options_action',
      	dataType: 'html',
      	cmd: feedCmd,
      	num: feedNum
      };
   	
      $.post(ajaxurl, data, function(response) {
         $('#ajxForm').html(response);
         if(feedCmd == 'del') {
            tdToDel.remove();
            return;
         }
         
         document.getElementById('ajxForm').scrollIntoView();   
         $('input[name="imwb_covertstorecontent_pro_rss_options[feedname]"]').focus();
      }, "html");
   
      return false;
   });
   
   $('#rssFeedForm').submit(function() {
   
      if( !$('#imwb_covertstorecontent_pro_rss_options_feedname').val() ) {
         alert("Please Enter a Name");
         $('#imwb_covertstorecontent_pro_rss_options_feedname').focus();
         return false;
      }
      
      if( !$('#imwb_covertstorecontent_pro_rss_options_rssfeed').val() ) {
         alert("Please Enter a RSS Feed URL");
         $('#imwb_covertstorecontent_pro_rss_options_rssfeed').focus();
         return false;
      }
   
      if(!$('#imwb_covertstorecontent_pro_rss_options_keywords').is(':disabled')){
         if($('#imwb_covertstorecontent_pro_rss_options_keywords').val() == null) {
            alert("Please Select a Keyword");
            return false;
         }
      }
      
      if($('#imwb_covertstorecontent_pro_rss_options_catselecttype:checked').val() != 'M') {
      
         if($('#imwb_covertstorecontent_pro_rss_options_categories').val() == null) {
            alert("Please Select a Category");
            return false;
         }
      }
   });
   
   $('input[name="imwb_covertstorecontent_pro_rss_options[ignorekw]"]').live('change', function(){
      if($(this).is(":checked")) {
         $('#imwb_covertstorecontent_pro_rss_options_keywords').attr('disabled','disabled');
         $('#imwb_covertstorecontent_pro_rss_options_kwsearch').attr('disabled','disabled');
      }
      else {
         $('#imwb_covertstorecontent_pro_rss_options_keywords').removeAttr('disabled');
         $('#imwb_covertstorecontent_pro_rss_options_kwsearch').removeAttr('disabled');
      }
      				
   });
   
   $('input[name="imwb_covertstorecontent_pro_rss_options[ignorekw]"]').live('change', function(){
      if($(this).is(":checked")) {
         $('#imwb_covertstorecontent_pro_rss_options_kwsearch').attr('disabled','disabled');
         $('#imwb_covertstorecontent_pro_rss_options_keywords').attr('disabled','disabled');
         if($('#imwb_covertstorecontent_pro_rss_options_catselecttype:checked').val() == 'M')
            $("input[name='imwb_covertstorecontent_pro_rss_options[catselecttype]'][value='R']").attr("checked", true);         
      }
      else {
         $('#imwb_covertstorecontent_pro_rss_options_kwsearch').removeAttr('disabled');
         $('#imwb_covertstorecontent_pro_rss_options_keywords').removeAttr('disabled');
      }
      				
   });
   
   $('#imwb_covertstorecontent_pro_rss_options_catselecttype').live('change' ,function() {
      if($('#imwb_covertstorecontent_pro_rss_options_catselecttype:checked').val() == 'M') {
         $('input[name="imwb_covertstorecontent_pro_rss_options[ignorekw]"]').removeAttr('checked');
         $('#imwb_covertstorecontent_pro_rss_options_kwsearch').removeAttr('disabled');
         $('#imwb_covertstorecontent_pro_rss_options_keywords').removeAttr('disabled');
      }
   
   });
});
